# Enum Class SetOperationCornerCases.AnotbAction

java.lang.Object
java.lang.Enum<SetOperationCornerCases.AnotbAction>
org.apache.datasketches.thetacommon.SetOperationCornerCases.AnotbAction

All Implemented Interfaces:
  `Serializable, Comparable<SetOperationCornerCases.AnotbAction>, Constable`

Enclosing class:
  `SetOperationCornerCases`

public static enum SetOperationCornerCases.AnotbAction extends Enum<SetOperationCornerCases.AnotbAction>
A not B actions

Author:
  Lee Rhodes

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEGEN_MIN_0_F`
Degenerate{MinTheta, 0, F}
`DEGEN_THA_0_F`
Degenerate{ThetaA, 0, F}
`EMPTY_1_0_T`
Empty{1.0, 0, T}
`FULL_ANOTB`
Full AnotB
`SKETCH_A`
Sketch A Exact
`TRIM_A`
Trim Sketch A by MinTheta

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionDescription()`
Gets the action description
`String`
`getActionId()`
Gets the Action ID
`static SetOperationCornerCases.AnotbAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SetOperationCornerCases.AnotbAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SKETCH_A

public static final SetOperationCornerCases.AnotbAction SKETCH_A
Sketch A Exact

### TRIM_A

public static final SetOperationCornerCases.AnotbAction TRIM_A
Trim Sketch A by MinTheta

### DEGEN_MIN_0_F

public static final SetOperationCornerCases.AnotbAction DEGEN_MIN_0_F
Degenerate{MinTheta, 0, F}

### DEGEN_THA_0_F

public static final SetOperationCornerCases.AnotbAction DEGEN_THA_0_F
Degenerate{ThetaA, 0, F}

### EMPTY_1_0_T

public static final SetOperationCornerCases.AnotbAction EMPTY_1_0_T
Empty{1.0, 0, T}

### FULL_ANOTB

public static final SetOperationCornerCases.AnotbAction FULL_ANOTB
Full AnotB

## Method Details

### values

public static SetOperationCornerCases.AnotbAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SetOperationCornerCases.AnotbAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getActionId

public String getActionId()
Gets the Action ID

Returns:
  the actionId

### getActionDescription

public String getActionDescription()
Gets the action description

Returns:
  the action description